textures/proto2/flare
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		clampmap textures/proto2/flare.tga
        tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/base_light/ceil1_37_3k_trans
{
	qer_editorimage textures/base_light/ceil1_37.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 3000
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.blend.tga
		blendfunc add
	}
}

textures/sfx/lightbeam_02_blue
{
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightsubdivide 32
	q3map_lightimage textures/sfx/lb_beam_02_blend.tga
	qer_editorimage textures/sfx/lb_beam_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sfx/lb_beam_01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/lb_beam_02_blend.tga
		blendfunc add
	}
}

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}

textures/base_light/geolight4_2k_nonsolid
{
	qer_editorimage textures/base_light/geolight4.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.blend.tga
		blendfunc add
	}
}

textures/liquids/waterfall
{
	qer_editorimage textures/liquids/waterfall_1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .8
	{
		map textures/liquids/waterfall_1.tga
		blendfunc add		
		tcMod scale 1.0 2.0
		tcMod Scroll .5 8
		tcMod turb .1 .25 0 -.1
	}
	{
		map textures/liquids/waterfall_2.tga
		blendfunc add
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod Scroll .01 6.3
	}
}

textures/sfx/jp_01_alpha_teal
{
	surfaceparm nodamage
	qer_editorimage textures/sfx/bounce_base.tga
	q3map_surfacelight 400
	q3map_lightimage textures/sfx/bouncepad01b_layer1_teal.tga
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	{
		map textures/sfx/bounce_base.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/sfx/bouncepad01b_layer1_teal.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall_teal.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/base_light/ceil1_37_3k
{
	qer_editorimage textures/base_light/ceil1_37.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.blend.tga
		blendfunc add
	}
}

textures/base_light/xceil1_39_trans
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	surfaceparm nonsolid
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc add
	}
}

textures/skies/stormclouds_002
{
	qer_editorimage textures/skies/stormclouds_002.tga
	skyparms - 512 -
	q3map_lightImage textures/skies/stormclouds_002.tga
	q3map_sunExt	0.266383 0.274632 0.358662 300 80 60 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 256 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	{
		map textures/skies/stormclouds_002.tga
		tcMod scale 10 10
		tcMod scroll .05 .09
		depthWrite
	}
	{
		map textures/skies/stormclouds_002.tga
		blendfunc add
		tcMod scale 4 4
		tcMod scroll 0.07 0.07
	}
}

textures/sfx/wall_jump
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx2/rlaunch3.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}

textures/gothic_trim/copper_8_tile_r_nonsolid
{
	qer_editorimage textures/gothic_trim/copper_8_tile_r.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/copper_8_tile_r.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/common/blackout
{
	qer_editorimage textures/common/black.tga
	surfaceParm nolightmap  
	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen vertex
	}
}

textures/base_wall/bluemetalsupport2e_rusty
{
	qer_editorimage textures/base_wall/bluemetalsupport2e_rusty.tga
	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e_rusty.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/base_light/light5_3k_blue
{
	qer_editorimage textures/base_light/light5_blue.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 3000
	{
		map textures/base_light/light5_blue.tga
		rgbgen identity
	}
}

textures/base_light/geolight4_2k
{
	qer_editorimage textures/base_light/geolight4.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.blend.tga
		blendfunc add
	}
}

textures/ad_content/xp2
{   
	qer_editorimage textures/ad_content/xp2.jpg
	nopicmip
	{
		map textures/ad_content/xp2.jpg
	}
	{
		map textures/ad_content/glow2.jpg
		blendfunc add
	    	rgbGen Wave sin .6 0 0 0
		tcmod scroll 0 -0.75
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}	
	
}

textures/ad_content/xp1
{   
	qer_editorimage textures/ad_content/xp1.jpg
	nopicmip
	{
		map textures/ad_content/xp1.jpg
	}
	{
		map textures/ad_content/glow1.jpg
		blendfunc add
	    	rgbGen Wave sin .6 0 0 0
		tcmod scroll 0 -0.75
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}	
	
}

textures/sfx/portal_new_nonsolid_teal
{
	qer_editorimage textures/sfx/portaledge_teal
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge_teal2.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}

textures/ql/ql_item_spawn
{
	qer_editorimage textures/ql/ql_item_spawn.tga
	surfaceparm	nomarks   
    surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm pointlight
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	nopicmip
	{
		map textures/ql/ql_item_spawn.tga
		rgbGen identity
		blendfunc add
		tcmod rotate 10
	}
	{
		map textures/ql/ql_item_spawn_2.tga
		rgbGen identity
		blendfunc add
		tcmod rotate 30
	}
	{
		map textures/ql/ql_item_spawn_3.tga
		rgbGen identity
		blendfunc add
		tcmod rotate 20
	}
}

textures/ct_ct3ctf2/blue_exit
{
	qer_editorimage textures/ct_ct3ctf2/blue_exit.tga
	surfaceparm	nomarks   
    surfaceparm	trans
	surfaceparm	nonsolid
    surfaceparm pointlight
	nopicmip
	{
		map textures/ct_ct3ctf2/blue_exit.tga
		rgbGen identity
		blendFunc add
	}
}

textures/proto2/grit01_nonsolid
{
	qer_editorimage textures/proto2/grit01.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/grit01.tga
		blendfunc filter
	}
}

textures/x/se_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
     
	{
		map textures/x/se_wall/protobanner.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

